## ros-python-qt-binding 0.2.17

=== Makefile ===
.PHONY: all setup clean_dist distro clean install upload push

NAME=python_qt_binding
VERSION=`./setup.py --version`

all:
	echo "noop for debbuild"

setup:
	echo "building version ${VERSION}"

clean_dist:
	-rm -f MANIFEST
	-rm -rf dist

distro: setup clean_dist
	python setup.py sdist

push: distro
	python setup.py sdist register upload
	scp dist/${NAME}-${VERSION}.tar.gz ros@ftp-osl.osuosl.org:/home/ros/data/download.ros.org/downloads/${NAME}

clean: clean_dist
	echo "clean"

install: distro
	sudo checkinstall python setup.py install

testsetup:
	echo "running ${NAME} tests"

test: testsetup
	cd test && nosetests

=== debian/changelog ===
ros-python-qt-binding (0.2.17-1) unstable; urgency=medium

  * Initial release (Closes: #805336)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 09 Jan 2016 01:56:10 +0000

=== debian/control ===
Source: ros-python-qt-binding
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9), python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3),
		debhelper (>=7.4.3), catkin (>> 0.6.16-2), dh-python
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-python-qt-binding.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-python-qt-binding.git
Homepage: http://wiki.ros.org/python_qt_binding

Package: python-qt-binding
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, sip-dev, python-qt4-dev, libpyside-dev, python-qt4
Description: Robot OS Python bindings for QT
 This package is part of Robot OS (ROS). It provides Python bindings
 for Qt. There are two providers: pyside and pyqt.  PySide is released
 under the LGPL.  PyQt is released under the GPL.
 .
 Both the bindings and tools to build bindings are included from each
 available provider.  For PySide, it is called "Shiboken".  For PyQt,
 this is called "SIP".
 .
 Also provided is adapter code to make the user's Python code
 independent of which binding provider was actually used which makes
 it very easy to switch between these.

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python_qt_binding-$1\.tar\.gz/ \
  https://github.com/ros-visualization/python_qt_binding/releases .*/v?(\d\S*)\.tar\.gz

## ros-python-qt-binding 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(python_qt_binding)

find_package(catkin REQUIRED)
catkin_package(CFG_EXTRAS python_qt_binding-extras.cmake)

catkin_python_setup()

install(FILES
  cmake/shiboken_helper.cmake
  cmake/sip_configure.py
  cmake/sip_helper.cmake
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake)

=== debian/changelog ===
ros-python-qt-binding (0.3.1-2) unstable; urgency=medium

  * Remove pyside (stil qt4), drop unneeded build dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 23 Jul 2016 10:14:15 +0200

ros-python-qt-binding (0.3.1-1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Imported upstream version 0.3.1

  [ Leopold Palomo-Avellaneda ]
  * Dropped unneeded patch
  * Update VCS-* fields to avoid uses-insecure-uri
  * Bumped Standards-Version to 3.9.8. No changes
  * Moving to Qt5

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Mon, 11 Jul 2016 13:20:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9), python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3),
-		debhelper (>=7.4.3), catkin (>> 0.6.16-2), dh-python
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-python-qt-binding.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-python-qt-binding.git
+	       catkin (>> 0.6.16-2), dh-python
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/ros/ros-python-qt-binding.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ros/ros-python-qt-binding.git
 Homepage: http://wiki.ros.org/python_qt_binding
 
 Package: python-qt-binding
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, sip-dev, python-qt4-dev, libpyside-dev, python-qt4
+Depends: ${misc:Depends}, ${python:Depends}, sip-dev, python-pyqt5, pyqt5-dev
 Description: Robot OS Python bindings for QT
  This package is part of Robot OS (ROS). It provides Python bindings
  for Qt. There are two providers: pyside and pyqt.  PySide is released

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=cmake

override_dh_auto_install-indep:
	dh_auto_install --destdir=debian/tmp

override_dh_clean:
	rm -rf src/python_qt_binding.egg-info
	dh_clean

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

## ros-python-qt-binding 0.3.4

=== debian/changelog ===
ros-python-qt-binding (0.3.4-2) unstable; urgency=medium

  * Simplify d/rules
  * Add patch or shiboken include path
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 07 Sep 2018 18:17:40 +0200

ros-python-qt-binding (0.3.4-1) unstable; urgency=medium

  * New upstream version 0.3.4
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 23 Aug 2018 18:40:40 +0200

ros-python-qt-binding (0.3.3-1) unstable; urgency=medium

  * Update my email address
  * New upstream version 0.3.2
  * Update policy and debhelper versions
  * Update watch file
  * Update Vcs URLs to salsa.d.o
  * Move cleanup to d/clean
  * Add R³
  * http -> https
  * Move pkgconfig to share
  * Bump policy and debhelper versions
  * New upstream version 0.3.3
  * Add Python3 package
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 16 Jul 2018 11:09:48 +0200

=== debian/control ===
Source: ros-python-qt-binding
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11), python-all, python3-all, catkin, dh-python
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/science-team/ros-python-qt-binding
Vcs-Git: https://salsa.debian.org/science-team/ros-python-qt-binding.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/python_qt_binding

Package: python-qt-binding
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, sip-dev, python-pyqt5, pyqt5-dev
Description: Robot OS Python 2 bindings for QT
 This package is part of Robot OS (ROS). It provides Python bindings
 for Qt. There are two providers: pyside and pyqt.  PySide is released
 under the LGPL.  PyQt is released under the GPL.
 .
 Both the bindings and tools to build bindings are included from each
 available provider.  For PySide, it is called "Shiboken".  For PyQt,
 this is called "SIP".
 .
 Also provided is adapter code to make the user's Python code
 independent of which binding provider was actually used which makes
 it very easy to switch between these.
 .
 This package contains the Python 2 binding.

Package: python3-qt-binding
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, sip-dev, python3-pyqt5, pyqt5-dev
Description: Robot OS Python 3 bindings for QT
 This package is part of Robot OS (ROS). It provides Python bindings
 for Qt. There are two providers: pyside and pyqt.  PySide is released
 under the LGPL.  PyQt is released under the GPL.
 .
 Both the bindings and tools to build bindings are included from each
 available provider.  For PySide, it is called "Shiboken".  For PyQt,
 this is called "SIP".
 .
 Also provided is adapter code to make the user's Python code
 independent of which binding provider was actually used which makes
 it very easy to switch between these.
 .
 This package contains the Python 3 binding.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3 --buildsystem=cmake

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-python-qt-binding-$1.tar.gz%" \
    https://github.com/ros-visualization/python_qt_binding/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-python-qt-binding 0.3.5

=== debian/changelog ===
ros-python-qt-binding (0.3.5-4) unstable; urgency=medium

  * Add patch for new QT variable (Closes: #934450)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 04 Sep 2019 07:16:11 +0200

ros-python-qt-binding (0.3.5-3) unstable; urgency=medium

  * Source only release.

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 08 Aug 2019 21:20:02 +0200

ros-python-qt-binding (0.3.5-2) unstable; urgency=medium

  * Rename package name to module name (should fix autopkgtest)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 07 Aug 2019 09:49:17 +0200

ros-python-qt-binding (0.3.5-1) unstable; urgency=medium

  * restrict d/watch to ROS1
  * New upstream version 0.3.5
  * drop patches (applied upstream)
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Jul 2019 22:33:37 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,19 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11), python-all, python3-all, catkin, dh-python
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), python-all, python3-all, catkin, dh-python
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/science-team/ros-python-qt-binding
 Vcs-Git: https://salsa.debian.org/science-team/ros-python-qt-binding.git
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/python_qt_binding
 
-Package: python-qt-binding
+Package: python-python-qt-binding
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, sip-dev, python-pyqt5, pyqt5-dev
+Breaks: python-qt-binding (<<0.3.5-2)
+Replaces: python-qt-binding (<<0.3.5-2)
+Provides: python-qt-binding
 Description: Robot OS Python 2 bindings for QT
  This package is part of Robot OS (ROS). It provides Python bindings
  for Qt. There are two providers: pyside and pyqt.  PySide is released
@@ -30,9 +33,12 @@
  .
  This package contains the Python 2 binding.
 
-Package: python3-qt-binding
+Package: python3-python-qt-binding
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, sip-dev, python3-pyqt5, pyqt5-dev
+Breaks: python3-qt-binding (<<0.3.5-2)
+Replaces: python3-qt-binding (<<0.3.5-2)
+Provides: python3-qt-binding
 Description: Robot OS Python 3 bindings for QT
  This package is part of Robot OS (ROS). It provides Python bindings
  for Qt. There are two providers: pyside and pyqt.  PySide is released

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-python-qt-binding-$1.tar.gz%" \
    https://github.com/ros-visualization/python_qt_binding/tags \
    (?:.*?/)?v?(0.\d[\d.]*)\.tar\.gz debian uupdate

## ros-python-qt-binding 0.3.6

=== debian/changelog ===
ros-python-qt-binding (0.3.6-5) unstable; urgency=medium

  * Fix rmdir

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 07 Nov 2019 22:16:34 +0100

ros-python-qt-binding (0.3.6-4) unstable; urgency=medium

  * Fix rules file

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 07 Nov 2019 19:55:32 +0100

ros-python-qt-binding (0.3.6-3) unstable; urgency=medium

  * Add breaks/replaces for python-qt-binding.
    Thanks to Andreas Beckmann (Closes: #943850)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 31 Oct 2019 08:18:16 +0100

ros-python-qt-binding (0.3.6-2) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938389)
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 08:46:28 +0200

ros-python-qt-binding (0.3.6-1) unstable; urgency=medium

  * New upstream version 0.3.6
  * Drop patch (applied upstream)
  * Bump policy version (no changes)
  * Add d/clean

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Oct 2019 23:04:52 +0200

ros-python-qt-binding (0.3.5-5) unstable; urgency=medium

  * Add extra depends for package.xml

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 13 Sep 2019 17:55:14 +0200

=== debian/control ===
Source: ros-python-qt-binding
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12), python3-all, catkin, dh-python
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/ros-python-qt-binding
Vcs-Git: https://salsa.debian.org/science-team/ros-python-qt-binding.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/python_qt_binding

Package: python3-python-qt-binding
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, sip-dev, python3-pyqt5, pyqt5-dev
Breaks: python3-qt-binding (<<0.3.5-2), python-qt-binding (<<0.3.5-2), python-python-qt-binding (<< 0.3.6-2)
Replaces: python3-qt-binding (<<0.3.5-2), python-qt-binding (<<0.3.5-2), python-python-qt-binding (<< 0.3.6-2)
Provides: python3-qt-binding
Description: Robot OS Python 3 bindings for QT
 This package is part of Robot OS (ROS). It provides Python bindings
 for Qt. There are two providers: pyside and pyqt.  PySide is released
 under the LGPL.  PyQt is released under the GPL.
 .
 Both the bindings and tools to build bindings are included from each
 available provider.  For PySide, it is called "Shiboken".  For PyQt,
 this is called "SIP".
 .
 Also provided is adapter code to make the user's Python code
 independent of which binding provider was actually used which makes
 it very easy to switch between these.
 .
 This package contains the Python 3 binding.

=== debian/rules ===
#!/usr/bin/make -f

export ROS_PYTHON_VERSION=3

%:
	dh $@ --with python3 --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install
	mv debian/python3-python-qt-binding/usr/lib/*/pkgconfig debian/python3-python-qt-binding/usr/share
	rmdir --ignore-fail-on-non-empty debian/python3-python-qt-binding/usr/lib/*

## ros-python-qt-binding 0.4.3

=== debian/changelog ===
ros-python-qt-binding (0.4.3-3) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 11:43:54 +0100

ros-python-qt-binding (0.4.3-2) unstable; urgency=medium

  * Add patch for new sip dir (Closes: #971096)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 28 Sep 2020 18:28:05 +0200

ros-python-qt-binding (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3
  * update copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 18 Jun 2020 19:42:35 +0200

ros-python-qt-binding (0.4.2-3) unstable; urgency=medium

  * Use cmake to build

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 12 Jun 2020 18:43:58 +0200

ros-python-qt-binding (0.4.2-2) unstable; urgency=medium

  * Fix d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 12 Jun 2020 17:00:34 +0200

ros-python-qt-binding (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Remove Thomas from Uploaders, thanks for working on this
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 09:47:22 +0200

ros-python-qt-binding (0.3.6-6) unstable; urgency=medium

  * Add patch for Python version specification
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 06 Apr 2020 18:27:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: ros-python-qt-binding
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12), python3-all, catkin, dh-python
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), python3-all, catkin, dh-sequence-python3
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/ros-python-qt-binding
 Vcs-Git: https://salsa.debian.org/science-team/ros-python-qt-binding.git
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-python-qt-binding-$1.tar.gz%" \
    https://github.com/ros-visualization/python_qt_binding/tags \
    (?:.*?/)?v?(0.\d[\d.]*)\.tar\.gz

## ros-python-qt-binding 0.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(python_qt_binding)
 
 find_package(catkin REQUIRED)

=== debian/changelog ===
ros-python-qt-binding (0.4.4-2) unstable; urgency=medium

  * Drop old Breaks/Replaces
  * Drop old Provides
  * Add missing dependency
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 07 Jan 2023 22:41:28 +0100

ros-python-qt-binding (0.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.4

 -- Timo Röhling <roehling@debian.org>  Sat, 25 Sep 2021 19:50:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13), python3-all, catkin, dh-sequence-python3
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/ros-python-qt-binding
 Vcs-Git: https://salsa.debian.org/science-team/ros-python-qt-binding.git
 Rules-Requires-Root: no
@@ -13,10 +13,7 @@
 
 Package: python3-python-qt-binding
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, sip-dev, python3-pyqt5, pyqt5-dev
-Breaks: python3-qt-binding (<<0.3.5-2), python-qt-binding (<<0.3.5-2), python-python-qt-binding (<< 0.3.6-2)
-Replaces: python3-qt-binding (<<0.3.5-2), python-qt-binding (<<0.3.5-2), python-python-qt-binding (<< 0.3.6-2)
-Provides: python3-qt-binding
+Depends: ${misc:Depends}, ${python3:Depends}, sip-dev, python3-pyqt5, pyqt5-dev, python3-sip-dev
 Description: Robot OS Python 3 bindings for QT
  This package is part of Robot OS (ROS). It provides Python bindings
  for Qt. There are two providers: pyside and pyqt.  PySide is released
